- Qt 6.4
- Qt 3D
- QML Types
- Qt3D.Render
- ScissorTest
- Qt 6.4.2 Reference Documentation

# ScissorTest QML Type

The ScissorTest type discards fragments that fall outside of a certain rectangular portion of the screen. More...

Import Statement: | import Qt3D.Render 2.4
Since: | Qt 5.7
Instantiates: | QScissorTest
Inherits: | RenderState

- List of all members, including inherited members

## Properties

- bottom : int
- height : int
- left : int
- width : int

## Detailed Description

A ScissorTest type enables scissor test, which discards fragments outside the rectangular area of the screen specified by the left, bottom, width and height properties.

## Property Documentation

bottom : int

Holds the bottom coordinate of the scissor box.

height : int

Holds the height of the scissor box.

left : int

Holds the left coordinate of the scissor box.

width : int

Holds the width of the scissor box.